org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenScanner

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.JrpcgenScanner

All Implemented Interfaces:
  org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Scanner

     class JrpcgenScanner
    extends java.lang.Object
    implements org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Scanner

This class is a scanner generated by JFlex 1.2.2 on 20.10.00 09:36 from the specification file `file:/G:/JAVA/SRC/ORG/ACPLT/ONCRPC/APPS/JRPCGEN/JrpcgenScanner.flex`

### Field Summary

Fields
`(package private) java.lang.StringBuffer` `string`
`private boolean` `yy_atBOL` yy_atBOL == true <=> the scanner is currently at the beginning of a line
`private boolean` `yy_atEOF` yy_atEOF == true <=> the scanner has returned a value for EOF
`private static byte[]` `YY_ATTRIBUTE` YY_ATTRIBUTE[aState] contains the attributes of state `aState`
`private char[]` `yy_buffer` this buffer contains the current text to be matched and is the source of the yytext() string
`private int` `yy_currentPos` the current text position in the buffer
`private int` `yy_endRead` endRead marks the last character in the buffer, that has been read from input
`private boolean` `yy_eof_done` denotes if the user-EOF-code has already been executed
`private static java.lang.String[]` `YY_ERROR_MSG`
`private static int` `YY_ILLEGAL_STATE`
`private int` `yy_lexical_state` the current lexical state
`private int` `yy_markedPos` the textposition at the last accepting state
`private static int` `YY_NO_MATCH`
`private static java.lang.String` `yy_packed` The packed transition table of the DFA
`private static int` `YY_PUSHBACK_2BIG`
`private int` `yy_pushbackPos` the textposition at the last state to be included in yytext
`private java.io.Reader` `yy_reader` the input device
`private static int[]` `yy_rowMap` Translates a state to a row index in the transition table
`private int` `yy_startRead` startRead marks the beginning of the yytext() string in the buffer
`private int` `yy_state` the current state of the DFA
`private static int` `YY_UNKNOWN_ERROR`
`private int` `yychar` the number of characters up to the start of the matched text
`private static char[]` `yycmap` Translates characters to character classes
`private static java.lang.String` `yycmap_packed` Translates characters to character classes
`private int` `yycolumn` the number of characters from the last newline up to the start of the matched text
`static int` `YYEOF` this character denotes the end of file
`static int` `YYINITIAL` lexical states
`private int` `yyline` number of newlines encountered up to the start of the matched text
`private static int[]` `yytrans` The transition table of the DFA

### Constructor Summary

Constructors
Constructor and Description
`JrpcgenScanner(java.io.InputStream in)` Creates a new scanner.
`JrpcgenScanner(java.io.Reader in)` Creates a new scanner There is also a java.io.InputStream version of this constructor.

### Method Summary

Methods
`org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol` `next_token()` Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
`private long` `parseLong(java.lang.String s, int radix)`
`private org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol` `symbol(int type)`
`private org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol` `symbol(int type, java.lang.Object value)`
`private int` `yy_advance()` Gets the next input character.
`private void` `yy_do_eof()` Contains user EOF-code, which will be executed exactly once, when the end of file is reached
`private void` `yy_ScanError(int errorCode)` Reports an error that occured while scanning.
`private static char[]` `yy_unpack_cmap(java.lang.String packed)` Unpacks the compressed character translation table.
`private static int[]` `yy_unpack(java.lang.String packed)` Unpacks the compressed DFA transition table.
`void` `yybegin(int newState)` Enters a new lexical state
`void` `yyclose()` Closes the input stream.
`int` `yylength()` Returns the length of the matched text region.
`private void` `yypushback(int number)` Pushes the specified amount of characters back into the input stream.
`int` `yystate()` Returns the current lexical state.
`java.lang.String` `yytext()` Returns the text matched by the current regular expression.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### YYEOF

    public static final int YYEOF

this character denotes the end of file

See Also:
  Constant Field Values

#### YYINITIAL

    public static final int YYINITIAL

lexical states

See Also:
  Constant Field Values

#### yycmap_packed

    private static final java.lang.String yycmap_packed

Translates characters to character classes

See Also:
  Constant Field Values

#### yycmap

    private static final char[] yycmap

Translates characters to character classes

#### yy_rowMap

    private static final int[] yy_rowMap

Translates a state to a row index in the transition table

#### yy_packed

    private static final java.lang.String yy_packed

The packed transition table of the DFA

See Also:
  Constant Field Values

#### yytrans

    private static final int[] yytrans

The transition table of the DFA

#### YY_UNKNOWN_ERROR

    private static final int YY_UNKNOWN_ERROR

See Also:
  Constant Field Values

#### YY_ILLEGAL_STATE

    private static final int YY_ILLEGAL_STATE

See Also:
  Constant Field Values

#### YY_NO_MATCH

    private static final int YY_NO_MATCH

See Also:
  Constant Field Values

#### YY_PUSHBACK_2BIG

    private static final int YY_PUSHBACK_2BIG

See Also:
  Constant Field Values

#### YY_ERROR_MSG

    private static final java.lang.String[] YY_ERROR_MSG

#### YY_ATTRIBUTE

    private static final byte[] YY_ATTRIBUTE

YY_ATTRIBUTE[aState] contains the attributes of state `aState`

#### yy_reader

    private java.io.Reader yy_reader

the input device

#### yy_state

    private int yy_state

the current state of the DFA

#### yy_lexical_state

    private int yy_lexical_state

the current lexical state

#### yy_buffer

    private char[] yy_buffer

this buffer contains the current text to be matched and is the source of the yytext() string

#### yy_markedPos

    private int yy_markedPos

the textposition at the last accepting state

#### yy_pushbackPos

    private int yy_pushbackPos

the textposition at the last state to be included in yytext

#### yy_currentPos

    private int yy_currentPos

the current text position in the buffer

#### yy_startRead

    private int yy_startRead

startRead marks the beginning of the yytext() string in the buffer

#### yy_endRead

    private int yy_endRead

endRead marks the last character in the buffer, that has been read from input

#### yyline

    private int yyline

number of newlines encountered up to the start of the matched text

#### yychar

    private int yychar

the number of characters up to the start of the matched text

#### yycolumn

    private int yycolumn

the number of characters from the last newline up to the start of the matched text

#### yy_atBOL

    private boolean yy_atBOL

yy_atBOL == true <=> the scanner is currently at the beginning of a line

#### yy_atEOF

    private boolean yy_atEOF

yy_atEOF == true <=> the scanner has returned a value for EOF

#### yy_eof_done

    private boolean yy_eof_done

denotes if the user-EOF-code has already been executed

#### string

    java.lang.StringBuffer string

### Constructor Detail

#### JrpcgenScanner

    JrpcgenScanner(java.io.Reader in)

Creates a new scanner There is also a java.io.InputStream version of this constructor.

Parameters:
  `in` - the java.io.Reader to read input from.

#### JrpcgenScanner

    JrpcgenScanner(java.io.InputStream in)

Creates a new scanner. There is also java.io.Reader version of this constructor.

Parameters:
  `in` - the java.io.Inputstream to read input from.

### Method Detail

#### symbol

    private org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol symbol(int type)

#### symbol

    private org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol symbol(int type,
                                                          java.lang.Object value)

#### parseLong

    private long parseLong(java.lang.String s,
                 int radix)

#### yy_unpack

    private static int[] yy_unpack(java.lang.String packed)

Unpacks the compressed DFA transition table.

Parameters:
  `packed` - the packed transition table
Returns:
  the unpacked transition table

#### yy_unpack_cmap

    private static char[] yy_unpack_cmap(java.lang.String packed)

Unpacks the compressed character translation table.

Parameters:
  `packed` - the packed character translation table
Returns:
  the unpacked character translation table

#### yy_advance

    private int yy_advance()
                    throws java.io.IOException

Gets the next input character.

Returns:
  the next character of the input stream, EOF if the end of the stream is reached.
Throws:
  `IOException` - if any I/O-Error occurs

#### yyclose

    public final void yyclose()
                       throws java.io.IOException

Closes the input stream.

Throws:
  `java.io.IOException`

#### yystate

    public final int yystate()

Returns the current lexical state.

#### yybegin

    public final void yybegin(int newState)

Enters a new lexical state

Parameters:
  `newState` - the new lexical state

#### yytext

    public final java.lang.String yytext()

Returns the text matched by the current regular expression.

#### yylength

    public final int yylength()

Returns the length of the matched text region.

#### yy_ScanError

    private void yy_ScanError(int errorCode)

Reports an error that occured while scanning.

Parameters:
  `errorCode` - the code of the errormessage to display

#### yypushback

    private void yypushback(int number)

Pushes the specified amount of characters back into the input stream. They will be read again by then next call of the scanning method

Parameters:
  `number` - the number of characters to be read again. This number must not be greater than yylength()!

#### yy_do_eof

    private void yy_do_eof()
                    throws java.io.IOException

Contains user EOF-code, which will be executed exactly once, when the end of file is reached

Throws:
  `java.io.IOException`

#### next_token

    public org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol next_token()
                                                                throws java.io.IOException

Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.

Specified by:
  `next_token` in interface `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Scanner`
Returns:
  the next token
Throws:
  `IOException` - if any I/O-Error occurs